#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: Agda
version: 2.5.2
id: Agda-2.5.2-BvXz1IFuA8Y7bbv0poFInq
key: Agda-2.5.2-BvXz1IFuA8Y7bbv0poFInq
license: OtherLicense
maintainer: Ulf Norell <ulfn@chalmers.se>
homepage: http://wiki.portal.chalmers.se/agda/
synopsis: A dependently typed functional programming language and proof assistant
description:
    Agda is a dependently typed functional programming language: It has
    inductive families, which are similar to Haskell'\''s GADTs, but they
    can be indexed by values and not just types. It also has
    parameterised modules, mixfix operators, Unicode characters, and an
    interactive Emacs interface (the type checker can assist in the
    development of your code).
    .
    Agda is also a proof assistant: It is an interactive system for
    writing and checking proofs. Agda is based on intuitionistic type
    theory, a foundational system for constructive mathematics developed
    by the Swedish logician Per Martin-L&#xf6;f. It has many
    similarities with other proof assistants based on dependent types,
    such as Coq, Epigram and NuPRL.
    .
    This package includes both a command-line program (agda) and an
    Emacs mode. If you want to use the Emacs mode you can set it up by
    running @agda-mode setup@ (see the README).
    .
    Note that the Agda library does not follow the package versioning
    policy, because it is not intended to be used by third-party
    packages.
category: Dependent types
author: Ulf Norell, Andreas Abel, Nils Anders Danielsson, Makoto Takeyama, Catarina Coquand, with contributions by Stevan Andjelkovic, Marcin Benke, Jean-Philippe Bernardy, James Chapman, Jesper Cockx, Dominique Devriese, Peter Divanski, Fredrik Nordvall Forsberg, Olle Fredriksson, Daniel Gustafsson, Philipp Hausmann, Patrik Jansson, Alan Jeffrey, Wolfram Kahl, Fredrik Lindblad, Francesco Mazzoli, Stefan Monnier, Darin Morrison, Guilhem Moulin, Nicolas Pouillard, Andrés Sicard-Ramírez, Andrea Vezzosi and many more.
exposed: True
exposed-modules:
    Agda.Auto.Auto Agda.Auto.CaseSplit Agda.Auto.Convert
    Agda.Auto.NarrowingSearch Agda.Auto.SearchControl Agda.Auto.Syntax
    Agda.Auto.Typecheck Agda.Benchmarking Agda.Compiler.CallCompiler
    Agda.Compiler.Common Agda.Compiler.Epic.AuxAST
    Agda.Compiler.Epic.CaseOpts Agda.Compiler.Epic.Compiler
    Agda.Compiler.Epic.CompileState Agda.Compiler.Epic.Epic
    Agda.Compiler.Epic.Erasure Agda.Compiler.Epic.ForceConstrs
    Agda.Compiler.Epic.Forcing Agda.Compiler.Epic.FromAgda
    Agda.Compiler.Epic.Injection Agda.Compiler.Epic.Interface
    Agda.Compiler.Epic.NatDetection Agda.Compiler.Epic.Primitive
    Agda.Compiler.Epic.Smashing Agda.Compiler.Epic.Static
    Agda.Compiler.HaskellTypes Agda.Compiler.JS.Compiler
    Agda.Compiler.JS.Syntax Agda.Compiler.JS.Substitution
    Agda.Compiler.JS.Pretty Agda.Compiler.MAlonzo.Compiler
    Agda.Compiler.MAlonzo.Encode Agda.Compiler.MAlonzo.Misc
    Agda.Compiler.MAlonzo.Pretty Agda.Compiler.MAlonzo.Primitives
    Agda.Compiler.ToTreeless Agda.Compiler.Treeless.AsPatterns
    Agda.Compiler.Treeless.Builtin Agda.Compiler.Treeless.Compare
    Agda.Compiler.Treeless.DelayCoinduction
    Agda.Compiler.Treeless.EliminateLiteralPatterns
    Agda.Compiler.Treeless.Erase Agda.Compiler.Treeless.GuardsToPrims
    Agda.Compiler.Treeless.Identity
    Agda.Compiler.Treeless.NormalizeNames Agda.Compiler.Treeless.Pretty
    Agda.Compiler.Treeless.Simplify Agda.Compiler.Treeless.Subst
    Agda.Compiler.Treeless.Uncase Agda.Compiler.Treeless.Unused
    Agda.Compiler.UHC.Bridge Agda.Compiler.UHC.Compiler
    Agda.Compiler.UHC.CompileState Agda.Compiler.UHC.FromAgda
    Agda.Compiler.UHC.MagicTypes Agda.Compiler.UHC.Pragmas.Base
    Agda.Compiler.UHC.Pragmas.Parse Agda.Compiler.UHC.Primitives
    Agda.ImpossibleTest Agda.Interaction.BasicOps
    Agda.Interaction.SearchAbout Agda.Interaction.CommandLine
    Agda.Interaction.EmacsCommand Agda.Interaction.EmacsTop
    Agda.Interaction.FindFile Agda.Interaction.Highlighting.Dot
    Agda.Interaction.Highlighting.Emacs
    Agda.Interaction.Highlighting.Generate
    Agda.Interaction.Highlighting.HTML
    Agda.Interaction.Highlighting.Precise
    Agda.Interaction.Highlighting.Range
    Agda.Interaction.Highlighting.Vim
    Agda.Interaction.Highlighting.LaTeX Agda.Interaction.Imports
    Agda.Interaction.InteractionTop Agda.Interaction.Response
    Agda.Interaction.MakeCase Agda.Interaction.Monad
    Agda.Interaction.Library Agda.Interaction.Library.Base
    Agda.Interaction.Library.Parse Agda.Interaction.Options
    Agda.Interaction.Options.Lenses Agda.Main
    Agda.Syntax.Abstract.Copatterns Agda.Syntax.Abstract.Name
    Agda.Syntax.Abstract.Pretty Agda.Syntax.Abstract.Views
    Agda.Syntax.Abstract Agda.Syntax.Common
    Agda.Syntax.Concrete.Definitions Agda.Syntax.Concrete.Generic
    Agda.Syntax.Concrete.Name Agda.Syntax.Concrete.Operators.Parser
    Agda.Syntax.Concrete.Operators.Parser.Monad
    Agda.Syntax.Concrete.Operators Agda.Syntax.Concrete.Pretty
    Agda.Syntax.Concrete Agda.Syntax.Fixity Agda.Syntax.IdiomBrackets
    Agda.Syntax.Info Agda.Syntax.Internal Agda.Syntax.Internal.Defs
    Agda.Syntax.Internal.Generic Agda.Syntax.Internal.Names
    Agda.Syntax.Internal.Pattern Agda.Syntax.Internal.SanityCheck
    Agda.Syntax.Literal Agda.Syntax.Notation Agda.Syntax.Parser.Alex
    Agda.Syntax.Parser.Comments Agda.Syntax.Parser.Layout
    Agda.Syntax.Parser.LexActions Agda.Syntax.Parser.Lexer
    Agda.Syntax.Parser.Literate Agda.Syntax.Parser.LookAhead
    Agda.Syntax.Parser.Monad Agda.Syntax.Parser.Parser
    Agda.Syntax.Parser.StringLiterals Agda.Syntax.Parser.Tokens
    Agda.Syntax.Parser Agda.Syntax.Position Agda.Syntax.Reflected
    Agda.Syntax.Scope.Base Agda.Syntax.Scope.Monad
    Agda.Syntax.Translation.AbstractToConcrete
    Agda.Syntax.Translation.ConcreteToAbstract
    Agda.Syntax.Translation.InternalToAbstract
    Agda.Syntax.Translation.ReflectedToAbstract Agda.Syntax.Treeless
    Agda.Termination.CallGraph Agda.Termination.CallMatrix
    Agda.Termination.CutOff Agda.Termination.Inlining
    Agda.Termination.Monad Agda.Termination.Order
    Agda.Termination.RecCheck Agda.Termination.SparseMatrix
    Agda.Termination.Semiring Agda.Termination.TermCheck
    Agda.Termination.Termination Agda.TheTypeChecker
    Agda.TypeChecking.Abstract Agda.TypeChecking.CheckInternal
    Agda.TypeChecking.CompiledClause
    Agda.TypeChecking.CompiledClause.Compile
    Agda.TypeChecking.CompiledClause.Match
    Agda.TypeChecking.Constraints Agda.TypeChecking.Conversion
    Agda.TypeChecking.Coverage Agda.TypeChecking.Coverage.Match
    Agda.TypeChecking.Coverage.SplitTree Agda.TypeChecking.Datatypes
    Agda.TypeChecking.DeadCode Agda.TypeChecking.DisplayForm
    Agda.TypeChecking.DropArgs Agda.TypeChecking.Empty
    Agda.TypeChecking.EtaContract Agda.TypeChecking.Errors
    Agda.TypeChecking.Free Agda.TypeChecking.Free.Lazy
    Agda.TypeChecking.Free.Old Agda.TypeChecking.Forcing
    Agda.TypeChecking.Implicit Agda.TypeChecking.Injectivity
    Agda.TypeChecking.InstanceArguments Agda.TypeChecking.Irrelevance
    Agda.TypeChecking.Level Agda.TypeChecking.LevelConstraints
    Agda.TypeChecking.MetaVars Agda.TypeChecking.MetaVars.Mention
    Agda.TypeChecking.MetaVars.Occurs Agda.TypeChecking.Monad.Base
    Agda.TypeChecking.Monad.Benchmark Agda.TypeChecking.Monad.Builtin
    Agda.TypeChecking.Monad.Caching Agda.TypeChecking.Monad.Closure
    Agda.TypeChecking.Monad.Constraints Agda.TypeChecking.Monad.Context
    Agda.TypeChecking.Monad.Env Agda.TypeChecking.Monad.Exception
    Agda.TypeChecking.Monad.Imports Agda.TypeChecking.Monad.Local
    Agda.TypeChecking.Monad.MetaVars Agda.TypeChecking.Monad.Mutual
    Agda.TypeChecking.Monad.Open Agda.TypeChecking.Monad.Options
    Agda.TypeChecking.Monad.Sharing Agda.TypeChecking.Monad.Signature
    Agda.TypeChecking.Monad.SizedTypes Agda.TypeChecking.Monad.State
    Agda.TypeChecking.Monad.Statistics Agda.TypeChecking.Monad.Trace
    Agda.TypeChecking.Monad Agda.TypeChecking.Patterns.Abstract
    Agda.TypeChecking.Patterns.Match Agda.TypeChecking.Polarity
    Agda.TypeChecking.Positivity
    Agda.TypeChecking.Positivity.Occurrence Agda.TypeChecking.Pretty
    Agda.TypeChecking.Primitive Agda.TypeChecking.ProjectionLike
    Agda.TypeChecking.Quote Agda.TypeChecking.ReconstructParameters
    Agda.TypeChecking.RecordPatterns Agda.TypeChecking.Records
    Agda.TypeChecking.Reduce Agda.TypeChecking.Reduce.Fast
    Agda.TypeChecking.Reduce.Monad Agda.TypeChecking.Rewriting
    Agda.TypeChecking.Rewriting.NonLinMatch
    Agda.TypeChecking.Rules.Builtin
    Agda.TypeChecking.Rules.Builtin.Coinduction
    Agda.TypeChecking.Rules.Data Agda.TypeChecking.Rules.Decl
    Agda.TypeChecking.Rules.Def Agda.TypeChecking.Rules.Display
    Agda.TypeChecking.Rules.LHS Agda.TypeChecking.Rules.LHS.AsPatterns
    Agda.TypeChecking.Rules.LHS.Implicit
    Agda.TypeChecking.Rules.LHS.Instantiate
    Agda.TypeChecking.Rules.LHS.Problem
    Agda.TypeChecking.Rules.LHS.ProblemRest
    Agda.TypeChecking.Rules.LHS.Split Agda.TypeChecking.Rules.LHS.Unify
    Agda.TypeChecking.Rules.Record Agda.TypeChecking.Rules.Term
    Agda.TypeChecking.Serialise Agda.TypeChecking.Serialise.Base
    Agda.TypeChecking.Serialise.Instances
    Agda.TypeChecking.Serialise.Instances.Abstract
    Agda.TypeChecking.Serialise.Instances.Common
    Agda.TypeChecking.Serialise.Instances.Compilers
    Agda.TypeChecking.Serialise.Instances.Highlighting
    Agda.TypeChecking.Serialise.Instances.Internal
    Agda.TypeChecking.SizedTypes Agda.TypeChecking.SizedTypes.Solve
    Agda.TypeChecking.SizedTypes.Syntax
    Agda.TypeChecking.SizedTypes.Utils
    Agda.TypeChecking.SizedTypes.WarshallSolver
    Agda.TypeChecking.Substitute Agda.TypeChecking.Substitute.Class
    Agda.TypeChecking.Substitute.DeBruijn
    Agda.TypeChecking.SyntacticEquality Agda.TypeChecking.Telescope
    Agda.TypeChecking.Unquote Agda.TypeChecking.With
    Agda.Utils.AssocList Agda.Utils.Bag Agda.Utils.Benchmark
    Agda.Utils.BiMap Agda.Utils.Char Agda.Utils.Cluster
    Agda.Utils.Empty Agda.Utils.Environment Agda.Utils.Except
    Agda.Utils.Either Agda.Utils.Favorites Agda.Utils.FileName
    Agda.Utils.Functor Agda.Utils.Function Agda.Utils.Geniplate
    Agda.Utils.Graph.AdjacencyMap.Unidirectional Agda.Utils.Hash
    Agda.Utils.HashMap Agda.Utils.Haskell.Syntax Agda.Utils.Impossible
    Agda.Utils.IO.Binary Agda.Utils.IO.Directory Agda.Utils.IO.UTF8
    Agda.Utils.IORef Agda.Utils.Lens Agda.Utils.Lens.Examples
    Agda.Utils.List Agda.Utils.ListT Agda.Utils.Map Agda.Utils.Maybe
    Agda.Utils.Maybe.Strict Agda.Utils.Memo Agda.Utils.Monad
    Agda.Utils.Null Agda.Utils.Parser.MemoisedCPS
    Agda.Utils.Parser.ReadP Agda.Utils.PartialOrd
    Agda.Utils.Permutation Agda.Utils.Pointer Agda.Utils.Pretty
    Agda.Utils.SemiRing Agda.Utils.Singleton Agda.Utils.Size
    Agda.Utils.String Agda.Utils.Suffix Agda.Utils.Time Agda.Utils.Trie
    Agda.Utils.Tuple Agda.Utils.Update Agda.Utils.VarSet
    Agda.Utils.Warshall Agda.Version Agda.VersionCommit
hidden-modules: Paths_Agda
abi: 9306260e0a336e8370d60d717ada1b43
trusted: False
import-dirs: /usr/lib/ghc-8.0.2/site-local/Agda-2.5.2
library-dirs: /usr/lib/ghc-8.0.2/site-local/Agda-2.5.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/agda
hs-libraries: HSAgda-2.5.2-BvXz1IFuA8Y7bbv0poFInq
depends:
    EdisonCore-1.3.1.1-sLB3yrEbBtK6i4u6tPDPY array-0.5.1.1 base-4.9.1.0
    binary-0.8.3.0 boxes-0.1.4-8r7hgbHhiwZ9TYlQbo7ovB
    bytestring-0.10.8.1 containers-0.5.7.1
    data-hash-0.2.0.1-6jB83SJnrCFHYBTQfE4HQP deepseq-1.4.2.0
    directory-1.3.0.0 edit-distance-0.2.2.1-6t5gSPdZR9l59S7jfGb06u
    equivalence-0.3.2-GSklipYt0ftG7Nji9IsyOh filepath-1.4.1.1
    geniplate-mirror-0.7.5-6DK5ewfB9pXAfA7vpowgho
    gitrev-1.2.0-IkKauIGsr3kKaCqad9q2II
    hashable-1.2.6.1-2nPqxcHq7mUGgurrYaLtXr
    hashtables-1.2.1.1-1Rx9CynCW0SHv3JyARxq31 haskeline-0.7.3.0
    ieee754-0.8.0-CDXZC1OkvI520r7z7XGrZG
    monadplus-1.4.2-2ERtKUk4oqnFyEsMccifZI
    mtl-2.2.1-BLKBelFsPB3BoFeSWSOYj6
    murmur-hash-0.1.0.9-BaKFsPwVm7kLvZLmOnvFQX
    parallel-3.2.1.1-KQJHWCcq2Ka569Stb10nhx pretty-1.1.3.3
    process-1.4.3.0 regex-tdfa-1.2.2-JFeutuWiS2vGBM4qXQlqio
    strict-0.3.2-BBOmnAYVsBNJUoZDQOsWvM template-haskell-2.11.1.0
    text-1.2.2.2-3ENqlljngKa6xj1Go2fVWq time-1.6.0.1
    transformers-0.5.2.0
    transformers-compat-0.5.1.4-IuFogs8HAVUJBWVNMhtssu
    unordered-containers-0.2.8.0-1tqMF698WJE3INvmpuzQZc xhtml-3000.2.1
    zlib-0.6.1.2-GcLmGV5PElZD6CJvjR9umm
haddock-interfaces: /usr/share/doc/agda/html/Agda.haddock
haddock-html: /usr/share/doc/agda/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"
